<?xml version="1.0" encoding = "shift_jis"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="7.00"
	Name="dllmelsec"
	SccProjectName=""
	SccLocalPath="">
	<Platforms>
		<Platform
			Name="Win32"/>
	</Platforms>
	<Configurations>
		<Configuration
			Name="Shmem Release|Win32"
			OutputDirectory=".\Shmem_Release"
			IntermediateDirectory=".\Shmem_Release"
			ConfigurationType="2"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\..\src,..\..\..\bee"
				PreprocessorDefinitions="NDEBUG;PLC_SHARED_MEMORY;WIN32;_WINDOWS"
				RuntimeLibrary="2"
				UsePrecompiledHeader="2"
				PrecompiledHeaderFile=".\Shmem_Release/dllmelsec.pch"
				AssemblerListingLocation=".\Shmem_Release/"
				ObjectFile=".\Shmem_Release/"
				ProgramDataBaseFileName=".\Shmem_Release/"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				CompileAs="0"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				AdditionalOptions="/MACHINE:I386"
				AdditionalDependencies="xerces-c_2.lib ace.lib odbc32.lib odbccp32.lib"
				OutputFile="..\..\bin\melshm.dll"
				LinkIncremental="1"
				SuppressStartupBanner="TRUE"
				ProgramDatabaseFile=".\Shmem_Release/melshm.pdb"
				ImportLibrary="../../lib/melshm.lib"/>
			<Tool
				Name="VCMIDLTool"
				PreprocessorDefinitions="NDEBUG"
				MkTypLibCompatible="TRUE"
				SuppressStartupBanner="TRUE"
				TargetEnvironment="1"
				TypeLibraryName=".\Shmem_Release/dllmelsec.tlb"/>
			<Tool
				Name="VCPostBuildEventTool"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG"
				Culture="1041"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory=".\Release"
			IntermediateDirectory=".\Release"
			ConfigurationType="2"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\..\src,..\..\..\bee"
				PreprocessorDefinitions="NDEBUG;WIN32;_WINDOWS"
				RuntimeLibrary="2"
				UsePrecompiledHeader="2"
				PrecompiledHeaderFile=".\Release/dllmelsec.pch"
				AssemblerListingLocation=".\Release/"
				ObjectFile=".\Release/"
				ProgramDataBaseFileName=".\Release/"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				CompileAs="0"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				AdditionalOptions="/MACHINE:I386"
				AdditionalDependencies="xerces-c_2.lib ace.lib MdFunc32.lib odbc32.lib odbccp32.lib"
				OutputFile="..\..\bin\melsec.dll"
				LinkIncremental="1"
				SuppressStartupBanner="TRUE"
				ProgramDatabaseFile=".\Release/melsec.pdb"
				ImportLibrary="../../lib/melsec.lib"/>
			<Tool
				Name="VCMIDLTool"
				PreprocessorDefinitions="NDEBUG"
				MkTypLibCompatible="TRUE"
				SuppressStartupBanner="TRUE"
				TargetEnvironment="1"
				TypeLibraryName=".\Release/dllmelsec.tlb"/>
			<Tool
				Name="VCPostBuildEventTool"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG"
				Culture="1041"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
		</Configuration>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory=".\Debug"
			IntermediateDirectory=".\Debug"
			ConfigurationType="2"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\..\src,..\..\..\bee"
				PreprocessorDefinitions="_DEBUG;WIN32;_WINDOWS"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				RuntimeTypeInfo="TRUE"
				PrecompiledHeaderFile=".\Debug/dllmelsec.pch"
				AssemblerListingLocation=".\Debug/"
				ObjectFile=".\Debug/"
				ProgramDataBaseFileName=".\Debug/"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				DebugInformationFormat="4"
				CompileAs="0"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				AdditionalOptions="/MACHINE:I386"
				AdditionalDependencies="xerces-c_2D.lib MdFunc32.lib aced.lib odbc32.lib odbccp32.lib"
				OutputFile="..\..\bin\melsec_d.dll"
				LinkIncremental="2"
				SuppressStartupBanner="TRUE"
				GenerateDebugInformation="TRUE"
				ProgramDatabaseFile=".\Debug/melsec_d.pdb"
				ImportLibrary="../../lib/melsec_d.lib"/>
			<Tool
				Name="VCMIDLTool"
				PreprocessorDefinitions="_DEBUG"
				MkTypLibCompatible="TRUE"
				SuppressStartupBanner="TRUE"
				TargetEnvironment="1"
				TypeLibraryName=".\Debug/dllmelsec.tlb"/>
			<Tool
				Name="VCPostBuildEventTool"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG"
				Culture="1041"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
		</Configuration>
		<Configuration
			Name="Shmem Debug|Win32"
			OutputDirectory=".\Shmem_Debug"
			IntermediateDirectory=".\Shmem_Debug"
			ConfigurationType="2"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\..\src,..\..\..\bee"
				PreprocessorDefinitions="_DEBUG;PLC_SHARED_MEMORY;WIN32;_WINDOWS"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				RuntimeTypeInfo="TRUE"
				PrecompiledHeaderFile=".\Shmem_Debug/dllmelsec.pch"
				AssemblerListingLocation=".\Shmem_Debug/"
				ObjectFile=".\Shmem_Debug/"
				ProgramDataBaseFileName=".\Shmem_Debug/"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				DebugInformationFormat="4"
				CompileAs="0"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				AdditionalOptions="/MACHINE:I386"
				AdditionalDependencies="xerces-c_2D.lib aced.lib odbc32.lib odbccp32.lib"
				OutputFile="..\..\bin\melshm_d.dll"
				LinkIncremental="2"
				SuppressStartupBanner="TRUE"
				GenerateDebugInformation="TRUE"
				ProgramDatabaseFile=".\Shmem_Debug/melshm_d.pdb"
				ImportLibrary="../../lib/melshm_d.lib"/>
			<Tool
				Name="VCMIDLTool"
				PreprocessorDefinitions="_DEBUG"
				MkTypLibCompatible="TRUE"
				SuppressStartupBanner="TRUE"
				TargetEnvironment="1"
				TypeLibraryName=".\Shmem_Debug/dllmelsec.tlb"/>
			<Tool
				Name="VCPostBuildEventTool"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG"
				Culture="1041"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
		</Configuration>
	</Configurations>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;c;cxx;rc;def;r;odl;idl;hpj;bat">
			<File
				RelativePath="..\..\src\MELDeviceManager.cpp">
			</File>
			<File
				RelativePath="..\..\src\MELMemory.cpp">
			</File>
			<File
				RelativePath="..\..\src\MELXmlParser.cpp">
			</File>
			<File
				RelativePath="..\..\src\PLCDevice.cpp">
			</File>
			<File
				RelativePath="..\..\src\PLCDeviceManager.cpp">
			</File>
			<File
				RelativePath="..\..\src\PLCMemory.cpp">
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hm;inl">
			<File
				RelativePath="..\..\src\MELDeviceManager.h">
			</File>
			<File
				RelativePath="..\..\src\MELMemory.h">
			</File>
			<File
				RelativePath="..\..\src\MELXmlParser.h">
			</File>
			<File
				RelativePath="..\..\src\PLCAddress.h">
			</File>
			<File
				RelativePath="..\..\src\PLCDevice.h">
			</File>
			<File
				RelativePath="..\..\src\PLCDeviceManager.h">
			</File>
			<File
				RelativePath="..\..\src\PLCMemory.h">
			</File>
		</Filter>
		<Filter
			Name="Resource Files"
			Filter="ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe">
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
